org.eclipse.wst.jsdt.chromium.debug.core.model

## Class ChromiumLineBreakpoint.Helper

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.core.model.ChromiumLineBreakpoint.Helper

Enclosing class:
  ChromiumLineBreakpoint

    public static class ChromiumLineBreakpoint.Helper
    extends java.lang.Object

A helper that propagates changes in Eclipse Debugger breakpoints (i.e. `ChromiumLineBreakpoint`) to ChromeDevTools SDK breakpoints. Note that `ChromiumLineBreakpoint` can't do it itself, because it may correspond to several SDK `JavascriptVm`'s simultaneously.

### Nested Class Summary

Nested Classes
`static interface` `ChromiumLineBreakpoint.Helper.CreateOnRemoveCallback`

### Constructor Summary

Constructors
Constructor and Description
`Helper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static ChromiumLineBreakpoint` `createLocal(Breakpoint sdkBreakpoint, IBreakpointManager breakpointManager, IFile resource, int script_line_offset, java.lang.String debugModelId)`
`static RelayOk` `createOnRemote(ChromiumLineBreakpoint uiBreakpoint, VmResourceRef vmResourceRef, ConnectedTargetData connectedTargetData, ChromiumLineBreakpoint.Helper.CreateOnRemoveCallback createOnRemoveCallback, SyncCallback syncCallback)`
`static void` `updateOnRemote(Breakpoint sdkBreakpoint, ChromiumLineBreakpoint uiBreakpoint, java.util.Set<ChromiumLineBreakpoint.MutableProperty> propertyDelta)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Helper

    public Helper()

### Method Detail

#### createOnRemote

    public static RelayOk createOnRemote(ChromiumLineBreakpoint uiBreakpoint,
                                         VmResourceRef vmResourceRef,
                                         ConnectedTargetData connectedTargetData,
                                         ChromiumLineBreakpoint.Helper.CreateOnRemoveCallback createOnRemoveCallback,
                                         SyncCallback syncCallback)
                                  throws CoreException

Throws:
  `CoreException`

#### updateOnRemote

    public static void updateOnRemote(Breakpoint sdkBreakpoint,
                                      ChromiumLineBreakpoint uiBreakpoint,
                                      java.util.Set<ChromiumLineBreakpoint.MutableProperty> propertyDelta)
                               throws CoreException

Throws:
  `CoreException`

#### createLocal

    public static ChromiumLineBreakpoint createLocal(Breakpoint sdkBreakpoint,
                                                     IBreakpointManager breakpointManager,
                                                     IFile resource,
                                                     int script_line_offset,
                                                     java.lang.String debugModelId)
                                              throws CoreException

Throws:
  `CoreException`